Simple Virtual Machine A simple but flexible virtual machine

Data Fields
SVM_Comparison_Result Struct Reference
SVM API types

`#include <svm.h>`

## Data Fields
SVM_Boolean | equal
| TRUE when values are equal, FALSE otherwise. More...
SVM_Boolean | different
| TRUE when values are different, FALSE otherwise. More...
SVM_Boolean | inferior
| TRUE when comparison is an order and left value is inferior to right value, FALSE otherwise. More...
SVM_Boolean | inferior_or_equal
| TRUE when comparison is an order and left value is inferior or equal to right value, FALSE otherwise. More...
SVM_Boolean | superior
| TRUE when comparison is an order and left value is superior to right value, FALSE otherwise. More...
SVM_Boolean | superior_or_equal
| TRUE when comparison is an order and left value is superior or equal to right value, FALSE otherwise. More...
SVM_Boolean | order
| TRUE when comparison supports ordering, FALSE when comparison supports only equivalence. More...
SVM_Boolean | total
| TRUE when comparison is an order and this comparison is total, FALSE otherwise. More...
SVM_Boolean | weak
| TRUE when values are not comparables (a fallback arbitrary comparison is used instead), FALSE otherwise. More...
SVM_Boolean | type
| TRUE when values types does not have the same type, FALSE otherwise. More...
SVM_Boolean | null
| TRUE when at least one value was null, FALSE otherwise. More...

## Field Documentation

## ◆ different

SVM_Boolean SVM_Comparison_Result::different

TRUE when values are different, FALSE otherwise.

## ◆ equal

SVM_Boolean SVM_Comparison_Result::equal

TRUE when values are equal, FALSE otherwise.

## ◆ inferior

SVM_Boolean SVM_Comparison_Result::inferior

TRUE when comparison is an order and left value is inferior to right value, FALSE otherwise.

## ◆ inferior_or_equal

SVM_Boolean SVM_Comparison_Result::inferior_or_equal

TRUE when comparison is an order and left value is inferior or equal to right value, FALSE otherwise.

## ◆ null

SVM_Boolean SVM_Comparison_Result::null

TRUE when at least one value was null, FALSE otherwise.

## ◆ order

SVM_Boolean SVM_Comparison_Result::order

TRUE when comparison supports ordering, FALSE when comparison supports only equivalence.

## ◆ superior

SVM_Boolean SVM_Comparison_Result::superior

TRUE when comparison is an order and left value is superior to right value, FALSE otherwise.

## ◆ superior_or_equal

SVM_Boolean SVM_Comparison_Result::superior_or_equal

TRUE when comparison is an order and left value is superior or equal to right value, FALSE otherwise.

## ◆ total

SVM_Boolean SVM_Comparison_Result::total

TRUE when comparison is an order and this comparison is total, FALSE otherwise.

## ◆ type

SVM_Boolean SVM_Comparison_Result::type

TRUE when values types does not have the same type, FALSE otherwise.

## ◆ weak

SVM_Boolean SVM_Comparison_Result::weak

TRUE when values are not comparables (a fallback arbitrary comparison is used instead), FALSE otherwise.

The documentation for this struct was generated from the following file:

- svm.h